RedCrawler API
Scrape V1

Post With Comments by ID V1

Get post content AND its comments in one call. SFW only — use V2 for NSFW.

GET /api/v1/content/full

Get post content AND its comments in one call. SFW only — use V2 for NSFW.

Query parameters

NameTypeRequiredDescription
post_urlstringYesPost URL or ID (e.g. https://www.reddit.com/r/sub/comments/abc123/ or t3_abc123 or abc123)
comment_modestringNoMode: custom, top_level, all. Default: custom
comment_sortstringNoSort order: best, top, new, controversial, old, qa (default: top)
comments_numnumberNoMax comments to return (1-5000, default: 15)

Authentication

HeaderValue
X-RapidAPI-KeyYour RapidAPI key
X-RapidAPI-Hostred-crawler1.p.rapidapi.com

Example request

cURL

curl -X GET "https://red-crawler1.p.rapidapi.com/api/v1/content/full?post_url=ipiung&comment_mode=custom&comment_sort=top&comments_num=15" \
  -H "X-RapidAPI-Key: YOUR_RAPIDAPI_KEY" \
  -H "X-RapidAPI-Host: red-crawler1.p.rapidapi.com"

JavaScript

const res = await fetch("https://red-crawler1.p.rapidapi.com/api/v1/content/full?post_url=ipiung&comment_mode=custom&comment_sort=top&comments_num=15", {
  method: "GET",
  headers: {
      "X-RapidAPI-Key": "YOUR_RAPIDAPI_KEY",
    "X-RapidAPI-Host": "red-crawler1.p.rapidapi.com"
    }
});
const data = await res.json();
console.log(data);

Python

import requests

url = "https://red-crawler1.p.rapidapi.com/api/v1/content/full?post_url=ipiung&comment_mode=custom&comment_sort=top&comments_num=15"
headers = {
    "X-RapidAPI-Key": "YOUR_RAPIDAPI_KEY",
    "X-RapidAPI-Host": "red-crawler1.p.rapidapi.com"
}
resp = requests.get(url, headers=headers)
print(resp.json())

Example response

HTTP 200 — captured from a live call to the gateway.

{
  "success": true,
  "data": {
    "post": {
      "subreddit": "modnews",
      "selftext": "",
      "saved": false,
      "gilded": 0,
      "clicked": false,
      "title": "Today we\u2019re testing a new way to discuss political ads (and announcements)",
      "link_flair_richtext": [],
      "subreddit_name_prefixed": "r/modnews",
      "hidden": false,
      "link_flair_css_class": null,
      "downs": 0,
      "thumbnail_height": null,
      "hide_score": false,
      "name": "t3_1sys4r2",
      "quarantine": false,
      "link_flair_text_color": "dark",
      "upvote_ratio": 0.44,
      "author_flair_background_color": null,
      "ups": 0,
      "total_awards_received": 0,
      "media_embed": {},
      "thumbnail_width": null,
      "is_original_content": false,
      "author_fullname": "t2_exampleu",
      "secure_media": null,
      "is_reddit_media_domain": false,
      "is_meta": false,
      "category": null,
      "secure_media_embed": {},
      "link_flair_text": null,
      "score": 0,
      "is_created_from_ads_ui": false,
      "author_premium": true,
      "thumbnail": "default",
      "edited": false,
      "author_flair_css_class": null,
      "author_flair_richtext": [],
      "gildings": {},
      "post_hint": "link",
      "content_categories": null,
      "is_self": false,
      "created": 1599667644.0,
      "link_flair_type": "text",
      "removed_by_category": null,
      "author_flair_type": "text",
      "domain": "reddit.com",
      "allow_live_comments": true,
      "selftext_html": null,
      "likes": null,
      "suggested_sort": null,
      "url_overridden_by_dest": "https://www.reddit.com/r/test/comments/1sys4r2/image_post/",
      "archived": true,
      "is_crosspostable": false,
      "pinned": false,
      "over_18": false,
      "preview": {
        "images": [
          {
            "source": {
              "url": "https://www.reddit.com/r/test/comments/1sys4r2/image_post/",
              "width": 600,
              "height": 315
            },
            "resolutions": [
              {
                "url": "https://www.reddit.com/r/test/comments/1sys4r2/image_post/",
                "width": 108,
                "height": 56
              },
              {
                "url": "https://www.reddit.com/r/test/comments/1sys4r2/image_post/",
                "width": 216,
                "height": 113
              },
              "\u2026 (1 more items)"
            ],
            "variants": {},
            "id": "rPXqOxQmd_KGI3L_9bW6tC-XHM-5s7QVVyDiz1mdcas"
          }
        ],
        "enabled": false
      },
      "all_awardings": [],
      "spoiler": false,
      "locked": false,
      "author_flair_text": null,
      "visited": false,
      "removed_by": null,
      "distinguished": null,
      "subreddit_id": "t5_examples",
      "author_is_blocked": false,
      "link_flair_background_color": "",
      "id": "ipiung",
      "num_duplicates": 19,
      "author": "Motor_Tip8865",
      "num_comments": 1415,
      "send_replies": false,
      "media": null,
      "contest_mode": false,
      "author_flair_text_color": null,
      "permalink": "https://www.reddit.com/r/test/comments/1sys4r2/image_post/",
      "stickied": false,
      "url": "https://www.reddit.com/r/test/comments/1sys4r2/image_post/",
      "subreddit_subscribers": 333895,
      "created_utc": 1599667644.0,
      "num_crossposts": 3,
      "is_video": false
    },
    "comments": [
      {
        "subreddit_id": "t5_examples",
        "author_is_blocked": false,
        "comment_type": null,
        "author_flair_type": "text",
        "total_awards_received": 0,
        "subreddit": "modnews",
        "likes": null,
        "saved": false,
        "id": "g4k48mn",
        "gilded": 0,
        "archived": true,
        "author": "Portarossa",
        "created_utc": 1599668050.0,
        "send_replies": true,
        "parent_id": "t3_1sys4r2",
        "score": 259,
        "author_fullname": "t2_exampleu",
        "all_awardings": [],
        "collapsed": false,
        "body": "... I mean, you get how this is going to seem a lot like you just palming off yet another contentious topic on unpaid mods, right? I understand that you tend to get a lot of flak on /r/announcement threads, but this really feels like you're just passing the buck a little.\n\nIt sounds a lot like what you're saying is 'We don't feel like there's a community element in /r/announcements, so we'll take \u2026",
        "edited": false,
        "author_flair_css_class": null,
        "name": "t1_examplec1",
        "is_submitter": false,
        "downs": 0,
        "author_flair_richtext": [],
        "body_html": "<div>Example HTML content.</div>",
        "collapsed_reason": null,
        "distinguished": null,
        "stickied": false,
        "author_premium": true,
        "gildings": {},
        "unrepliable_reason": null,
        "author_flair_text_color": null,
        "score_hidden": false,
        "permalink": "https://www.reddit.com/r/test/comments/1sys4r2/image_post/",
        "subreddit_type": "restricted",
        "locked": false,
        "created": 1599668050.0,
        "author_flair_text": null,
        "link_id": "t3_1sys4r2",
        "subreddit_name_prefixed": "r/modnews",
        "controversiality": 0,
        "depth": 0,
        "author_flair_background_color": null,
        "collapsed_because_crowd_control": null,
        "ups": 259
      },
      {
        "subreddit_id": "t5_examples",
        "author_is_blocked": false,
        "comment_type": null,
        "author_flair_type": "text",
        "total_awards_received": 0,
        "subreddit": "modnews",
        "likes": null,
        "saved": false,
        "id": "g4k4yv0",
        "gilded": 0,
        "archived": true,
        "author": "CantEvenUseThisThing",
        "created_utc": 1599668412.0,
        "send_replies": true,
        "parent_id": "t1_examplec1",
        "score": 119,
        "author_fullname": "t2_exampleu",
        "all_awardings": [],
        "body": "\"We're also going to make users proliferate the political ads in order to discuss them.\"\n\nThis is not going to turn out well for Reddit.",
        "edited": false,
        "author_flair_css_class": null,
        "name": "t1_examplec1",
        "is_submitter": false,
        "downs": 0,
        "author_flair_richtext": [],
        "body_html": "<div class=\"md\"><p>&quot;We&#39;re also going to make users proliferate the political ads in order to discuss them.&quot;</p>\n\n<p>This is not going to turn out well for Reddit.</p>\n</div>",
        "gildings": {},
        "collapsed_reason": null,
        "distinguished": null,
        "stickied": false,
        "author_premium": false,
        "link_id": "t3_1sys4r2",
        "unrepliable_reason": null,
        "author_flair_text_color": null,
        "score_hidden": false,
        "permalink": "https://www.reddit.com/r/test/comments/1sys4r2/image_post/",
        "subreddit_type": "restricted",
        "locked": false,
        "created": 1599668412.0,
        "author_flair_text": null,
        "collapsed": false,
        "subreddit_name_prefixed": "r/modnews",
        "controversiality": 0,
        "depth": 1,
        "author_flair_background_color": null,
        "collapsed_because_crowd_control": null,
        "ups": 119
      },
      "\u2026 (11 more items)"
    ],
    "comment_count": 13
  },
  "error": null,
  "timestamp": "2026-04-29T08:58:48.844369+00:00"
}

On this page